Bug 218682 - devel/qt5-core - imported target "Qt5::Core" fails for ports as it references a file in the work directory
Summary: devel/qt5-core - imported target "Qt5::Core" fails for ports as it referen...
Status: Closed DUPLICATE of bug 199297
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-16 06:42 UTC by Zane C. Bowers-Hadley
Modified: 2017-04-17 08:50 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2017-04-16 06:42:40 UTC
# make
===>   solarus-quest-editor-1.5.3 depends on file: /usr/local/bin/sdl2-config - found
===>   solarus-quest-editor-1.5.3 depends on file: /usr/local/bin/cmake - found
===>   solarus-quest-editor-1.5.3 depends on file: /usr/local/lib/qt5/bin/moc - found
===>   solarus-quest-editor-1.5.3 depends on file: /usr/local/lib/qt5/bin/linguist - found
===>   solarus-quest-editor-1.5.3 depends on file: /usr/local/lib/qt5/bin/qmake - found
===>   solarus-quest-editor-1.5.3 depends on shared library: libphysfs.so - found (/usr/local/lib/libphysfs.so)
===>   solarus-quest-editor-1.5.3 depends on shared library: libmodplug.so - found (/usr/local/lib/libmodplug.so)
===>   solarus-quest-editor-1.5.3 depends on shared library: liblua-5.1.so - found (/usr/local/lib/liblua-5.1.so)
===>   solarus-quest-editor-1.5.3 depends on shared library: libvorbis.so - found (/usr/local/lib/libvorbis.so)
===>   solarus-quest-editor-1.5.3 depends on shared library: libogg.so - found (/usr/local/lib/libogg.so)
===>   solarus-quest-editor-1.5.3 depends on shared library: libsolarus.so - not found
===>   solarus-1.5.3 depends on file: /usr/local/bin/sdl2-config - found
===>   solarus-1.5.3 depends on file: /usr/local/bin/cmake - found
===>   solarus-1.5.3 depends on file: /usr/local/lib/qt5/bin/moc - found
===>   solarus-1.5.3 depends on file: /usr/local/lib/qt5/bin/lrelease - found
===>   solarus-1.5.3 depends on file: /usr/local/lib/qt5/bin/qmake - found
===>   solarus-1.5.3 depends on shared library: libphysfs.so - found (/usr/local/lib/libphysfs.so)
===>   solarus-1.5.3 depends on shared library: libmodplug.so - found (/usr/local/lib/libmodplug.so)
===>   solarus-1.5.3 depends on shared library: liblua-5.1.so - found (/usr/local/lib/liblua-5.1.so)
===>   solarus-1.5.3 depends on shared library: libvorbis.so - found (/usr/local/lib/libvorbis.so)
===>   solarus-1.5.3 depends on shared library: libogg.so - found (/usr/local/lib/libogg.so)
===>   solarus-1.5.3 depends on shared library: libSDL2.so - found (/usr/local/lib/libSDL2.so)
===>   solarus-1.5.3 depends on shared library: libSDL2_ttf.so - found (/usr/local/lib/libSDL2_ttf.so)
===>   solarus-1.5.3 depends on shared library: libSDL2_image.so - found (/usr/local/lib/libSDL2_image.so)
===>   solarus-1.5.3 depends on shared library: libopenal.so.1 - found (/usr/local/lib/libopenal.so.1)
===>   solarus-1.5.3 depends on shared library: libQt5Core.so - found (/usr/local/lib/qt5/libQt5Core.so)
===>   solarus-1.5.3 depends on shared library: libQt5Gui.so - found (/usr/local/lib/qt5/libQt5Gui.so)
===>   solarus-1.5.3 depends on shared library: libQt5Widgets.so - found (/usr/local/lib/qt5/libQt5Widgets.so)
===>  Configuring for solarus-1.5.3
===>  Performing in-source build
/bin/mkdir -p /usr/obj//ARC/src/FreeBSD/ports/head/games/solarus/work/solarus-1.5.3
CMake Error at /usr/local/lib/cmake/Qt5Core/Qt5CoreConfig.cmake:15 (message):
  The imported target "Qt5::Core" references the file

     "/usr/local/lib/qt5//mkspecs//usr/obj//ARC/src/FreeBSD/ports/head/devel/qt5-qmake/work/qtbase-opensource-src-5.7.1/mkspecs/freebsd-clang"

  but this file does not exist.  Possible reasons include:

  * The file was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and contained

     "/usr/local/lib/cmake/Qt5Core/Qt5CoreConfigExtras.cmake"

  but not all the files it references.

Call Stack (most recent call first):
  /usr/local/lib/cmake/Qt5Core/Qt5CoreConfigExtras.cmake:50 (_qt5_Core_check_file_exists)
  /usr/local/lib/cmake/Qt5Core/Qt5CoreConfig.cmake:146 (include)
  gui/CMakeLists.txt:8 (find_package)


-- Configuring incomplete, errors occurred!
See also "/usr/obj/ARC/src/FreeBSD/ports/head/games/solarus/work/solarus-1.5.3/CMakeFiles/CMakeOutput.log".
*** Error code 1

Stop.
make[1]: stopped in /ARC/src/FreeBSD/ports/head/games/solarus
*** Error code 1

Stop.
make: stopped in /ARC/src/FreeBSD/ports/head/games/solarus-quest-editor
Exit 1
Comment 1 Tobias C. Berner freebsd_committer 2017-04-17 06:40:15 UTC
Do you have a trailing slash in your WKRDIRPREFIX?
Comment 2 Zane C. Bowers-Hadley 2017-04-17 08:26:13 UTC
Aye. But that should not make a difference.

Just rebuilt qt5-core and removing and rebuilding does not make a difference.
Comment 3 Tobias C. Berner freebsd_committer 2017-04-17 08:39:54 UTC
Please, remove it and rebuild qt5-qmake.
Comment 4 Zane C. Bowers-Hadley 2017-04-17 08:49:18 UTC
Yeah, that is it. qt5-qmake does not do any path sanitation and errors if it ever hits a //, which it should possible expect given how common those are when multiple things are throwing paths together.
Comment 5 Tobias C. Berner freebsd_committer 2017-04-17 08:50:14 UTC

*** This bug has been marked as a duplicate of bug 199297 ***